Loading...
Searching...
No Matches
WellVectors Class Reference

## Public Types

template<typename T>
using | Window

## Public Member Functions

| WellVectors (const std::vector< int > &intehead, std::shared_ptr< Opm::EclIO::RestartFileView > rst_view)
bool | hasDefinedWellValues () const
bool | hasDefinedConnectionValues () const
Window< int > | iwel (const std::size_t wellID) const
Window< double > | xwel (const std::size_t wellID) const
Window< int > | icon (const std::size_t wellID, const std::size_t connID) const
Window< double > | xcon (const std::size_t wellID, const std::size_t connID) const

## Member Typedef Documentation

## Window

template<typename T>

using WellVectors::Window

Initial value:
boost::iterator_range<
typename std::vector<T>::const_iterator
>

The documentation for this class was generated from the following file:

- opm/output/eclipse/LoadRestart.cpp